> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# createBusiness

> The `createBusiness` API offers a holistic solution for seamlessly integrating a new company into the system. This API is designed to streamline the onboarding process by consolidating multiple steps into a single, efficient call. This approach is ideal for businesses seeking a quick and straightforward onboarding experience.

### Features of `createBusiness` API:

1. **Company Registration**

2. **KYB Information**

3. **Location Setup**

4. **Admin User Addition**
 
5. **KYB Process Initiation**

## Notes:

- For beneficial owners all fields in the **businessUser** object are mandatory, since we are required to collect address and personal information for compliance
- **companyLocation** should be a filing address for the first location edded here



## OpenAPI

````yaml post /companyOnboarding/createBusiness
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /companyOnboarding/createBusiness:
    post:
      tags: []
      summary: createBusiness
      description: >-
        The `createBusiness` API offers a holistic solution for seamlessly
        integrating a new company into the system. This API is designed to
        streamline the onboarding process by consolidating multiple steps into a
        single, efficient call. This approach is ideal for businesses seeking a
        quick and straightforward onboarding experience.


        ### Features of `createBusiness` API:


        1. **Company Registration**


        2. **KYB Information**


        3. **Location Setup**


        4. **Admin User Addition**
         
        5. **KYB Process Initiation**


        ## Notes:


        - For beneficial owners all fields in the **businessUser** object are
        mandatory, since we are required to collect address and personal
        information for compliance

        - **companyLocation** should be a filing address for the first location
        edded here
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                registration:
                  type: object
                  properties:
                    company:
                      type: string
                    businessWebsite:
                      type: string
                    doingBusinessAs:
                      type: string
                    isTermsAccepted:
                      type: boolean
                  required:
                    - company
                    - isTermsAccepted
                kybInformation:
                  type: object
                  properties:
                    ein:
                      type: string
                      title: Must be 9 Digits
                    entityType:
                      type: string
                      title: Enum
                      enum:
                        - C Corp
                        - S Corp
                        - LLC
                        - Single Member LLC
                        - LLP
                        - Partnership
                        - Sole Proprietor
                        - Non-Profit
                    incorporationState:
                      type: string
                    dateOfIncorporation:
                      type: string
                    irsAssisgnedFederalFilingForm:
                      type: string
                      title: Enum
                      enum:
                        - '941'
                        - '944'
                    payrollRunThisYear:
                      type: string
                    formerPaidThisYear:
                      type: string
                  required:
                    - ein
                    - entityType
                    - incorporationState
                    - dateOfIncorporation
                    - irsAssisgnedFederalFilingForm
                    - payrollRunThisYear
                    - formerPaidThisYear
                companyLocation:
                  type: object
                  properties:
                    companyLocation:
                      type: string
                      title: Enum
                    address1:
                      type: string
                    address2:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                      title: Enum
                    zipcode:
                      type: string
                      title: Must be Five or Nine Digits
                    phoneNumber:
                      type: string
                      title: Must be 10 digits
                    isWorkLocation:
                      type: boolean
                    isMailingAddress:
                      type: boolean
                    isFilingAddress:
                      type: boolean
                  required:
                    - companyLocation
                    - address1
                    - city
                    - state
                    - zipcode
                    - isFilingAddress
                businessUser:
                  type: object
                  properties:
                    firstName:
                      type: string
                    middleName:
                      type: string
                    lastName:
                      type: string
                    phoneNumber:
                      type: string
                      title: Must be 10 digits
                    email:
                      type: string
                    address1:
                      type: string
                    address2:
                      type: string
                    city:
                      type: string
                    state:
                      type: string
                      title: Enum
                    zipcode:
                      type: string
                    ssn:
                      type: string
                      title: Must be 9 Digits
                    dateOfBirth:
                      type: string
                    payrollAdmin:
                      type: boolean
                    bookkeeper:
                      type: boolean
                    beneficialOwner:
                      type: boolean
                    ownershipPercentage:
                      type: integer
                      title: 'Must be specified for Beneficial Owner '
                    bookKeeper:
                      type: boolean
                  required:
                    - firstName
                    - lastName
                    - email
                    - phoneNumber
              required:
                - method
                - registration
                - kybInformation
                - companyLocation
                - businessUser
            example:
              method: createBusiness
              registration:
                company: Best LLC
                businessWebsite: www.schumm.com
                doingBusinessAs: Best
                isTermsAccepted: true
              kybInformation:
                ein: '109709569'
                entityType: LLP
                incorporationState: Alabama
                dateOfIncorporation: '2015-02-25'
                irsAssisgnedFederalFilingForm: '941'
                payrollRunThisYear: 'Yes'
                formerPaidThisYear: 'No'
              companyLocation:
                companyLocation: Main
                address1: 8745 Colard Ln
                address2: ''
                city: Lyons
                state: CO
                zipcode: '80540'
                phoneNumber: '9889890989'
                isWorkLocation: true
                isMailingAddress: true
                isFilingAddress: true
              businessUser:
                firstName: Manoj
                middleName: ''
                lastName: Deshmukh
                phoneNumber: '9974574177'
                email: manoje901@mailsac.com
                address1: 8745 Colard Ln
                address2: ''
                city: Lyons
                state: CO
                zipcode: '80540'
                ssn: '458756985'
                dateOfBirth: '2000-09-09'
                payrollAdmin: true
                bookkeeper: true
                beneficialOwner: true
                ownershipPercentage: 25
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  registration:
                    type: object
                    properties:
                      companyId:
                        type: string
                      kybInformationId:
                        type: string
                      businessUserId:
                        type: string
                      companyLocationId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - companyId
                      - kybInformationId
                      - businessUserId
                      - companyLocationId
                required:
                  - registration
              examples:
                '1':
                  summary: ''
                  value:
                    registration:
                      companyId: 98016CB2-FAA4-47E5-8173-DD6F29C7C397
                      kybInformationId: 32E9AE44-529A-4B4E-9C40-56DFCE99E712
                      businessUserId: 4B47C1DA-F279-40E8-ABF6-ADD82E7C2582
                      companyLocationId: FB3B168C-62C2-43D0-A1EF-B3C6C5C6FAE3
                      status: Registered
                      message: >-
                        A company with name Wise Wonders co is registered
                        successfully and KYB verification is in progress.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: First Name is mandatory and cannot be empty.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````